/* textarea */
.wp-site-blocks
  .gform-theme.gform-theme--framework.gform_wrapper
  form
  .gfield
  textarea {
  resize: none;
}

/* submit */
.wp-site-blocks
  .gform-theme.gform-theme--framework.gform_wrapper
  form
  input:is([type="submit"], [type="button"], [type="reset"]).button:where(
    :not(.gform-theme-no-framework):not(.gform-theme__disable):not(
        .gform-theme__disable *
      ):not(.gform-theme__disable-framework):not(
        .gform-theme__disable-framework *
      )
  ) {
  font-size: var(--wp--preset--font-size--small);
  border-radius: 2em;
  padding-bottom: var(--wp--preset--spacing--20);
  padding-top: var(--wp--preset--spacing--20);
  padding-right: var(--wp--preset--spacing--60);
  padding-left: var(--wp--preset--spacing--60);
  outline: 2px solid transparent;
  transition:
    all 0.2s ease-in-out,
    outline 80ms ease-out;
  text-transform: uppercase;
  background-color: var(--wp--preset--color--contrast);
  position: relative;
}

.wp-site-blocks
  .gform-theme.gform-theme--framework.gform_wrapper
  form
  input:is([type="submit"], [type="button"], [type="reset"]).button:where(
    :not(.gform-theme-no-framework):not(.gform-theme__disable):not(
        .gform-theme__disable *
      ):not(.gform-theme__disable-framework):not(
        .gform-theme__disable-framework *
      )
  ):hover {
  outline: 2px solid var(--wp--preset--color--fountain-blue);
}

/* section */
.gform_body .gfield--type-section.gfield--has-description .gsection_title {
  margin-bottom: 0;
}

/* labels */
.gform-theme--framework .gform-field-label {
  display: inline-block;
  margin-bottom: 1em;
}

.gform-theme--framework .gform-field-label > .gfield_required {
  color: var(--wp--preset--color--contrast);
}

/* Confirmation */
.gform_confirmation_wrapper {
  border-color: #74b137;
  padding: var(--wp--preset--spacing--40);
  border-radius: 6px;
  border: 1px solid green;
  background-color: #f1ffe3;
  text-align: center;
}
